# vim: set ft=spec: -*- rpm-spec -*-

%def_disable debug

#define cvsdate 20040223

Name: scummvm
Version: 0.9.1
Release: alt1

Summary: Graphic adventure game interpreter
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

Packager: Sir Raorn <raorn@altlinux.ru>

Source: http://dl.sourceforge.net/scummvm/%name-%version.tar
Patch: %name-%version-%release.patch

Source1: https://svn.sourceforge.net/svnroot/scummvm/engine-data/trunk/sky.cpt
Source2: https://svn.sourceforge.net/svnroot/scummvm/engine-data/trunk/kyra.dat

Provides: %_gamesdatadir/%name

# Automatically added by buildreq on Tue Jan 31 2006
BuildRequires: gcc-c++ libSDL-devel libalsa-devel libflac-devel libfluidsynth-devel libmad-devel libmpeg2-devel libogg-devel libstdc++-devel libvorbis-devel zlib-devel
%ifarch %ix86
BuildPreReq: nasm
%endif

%description
ScummVM is a collection of interpreters, capable of emulating several
adventure game engines. ScummVM mainly supports games created using 
SCUMM (Script Creation Utility for Maniac Mansion), used in various
LucasArts games such as Monkey Island, Day of the Tentacle, and others.

ScummVM also contains interpreters for several non-SCUMM games. Currently
these are Beneath a Steel Sky, Broken Sword 1 & 2, Flight of the Amazon
Queen, Simon the Sorcerer 1 & 2, The Legend of Kyrandia and The Feeble
Files.

%prep
%setup -q
%patch -p1

%build
%remove_optflags %optflags_optimization
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--mandir=%_mandir \
	%{?_disable_debug:--disable-debug --enable-release} \
	--disable-tremor
%make_build

%install
%make_install DESTDIR=%buildroot install

# Menu, themes and extra files
%__mkdir -p %buildroot{%_datadir/applications,%_gamesdatadir/%name,%_datadir/%name/themes,%_datadir/%name/engine-data}
%__install -p -m644 dists/%name.desktop %buildroot%_datadir/applications
%__install -p -m644 gui/themes/*.ini gui/themes/*.zip %buildroot%_datadir/%name/themes
%__install -p -m644 %_sourcedir/sky.cpt %buildroot%_datadir/%name/engine-data
%__install -p -m644 %_sourcedir/kyra.dat %buildroot%_datadir/%name/engine-data

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS README NEWS TODO COPYING
%_bindir/scummvm
%_man6dir/scummvm.6*
%_datadir/pixmaps/scummvm.xpm
%_datadir/applications/%name.desktop
%dir %_gamesdatadir/%name
%dir %_datadir/%name
%dir %_datadir/%name/themes
%dir %_datadir/%name/engine-data
%_datadir/%name/themes/*
%_datadir/%name/engine-data/*

%changelog
* Tue Dec 12 2006 Sir Raorn <raorn@altlinux.ru> 0.9.1-alt1
- [0.9.1]

* Fri Jun 30 2006 Sir Raorn <raorn@altlinux.ru> 0.9.0-alt1
- [0.9.0]
 + Support for The Legend of Kyrandia and The Feeble Files
 + New improved GUI
 + Reworked detection code for SCUMM games
 + Added subtitle configuration controls to the options dialog
 + Numerous bugfixes in the SCUMM, SAGA, Simon, Broken Sword 2 and BASS engines
- Default theme placed in %_datadir/%name/themes
- Added sky.cpt and kyra.dat from https://svn.sourceforge.net/svnroot/scummvm/engine-data/trunk/
- Default "extrapath" set to %_datadir/%name/engine-data
- Default "themepath" set to %_datadir/%name/themes

* Sun Feb 12 2006 Sir Raorn <raorn@altlinux.ru> 0.8.2-alt1
- [0.8.2]

* Tue Jan 31 2006 Sir Raorn <raorn@altlinux.ru> 0.8.1-alt1
- [0.8.1]
- Removed debian-style menu

* Mon Oct 31 2005 Sir Raorn <raorn@altlinux.ru> 0.8.0-alt1
- [0.8.0]
- Updated Summary/description
- Fixed menu entry (closes: #5352)
- Added .desktop file
- Added %%_gamesdatadir/%name

* Tue Mar 29 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt1
- [0.7.1]
- Summary/Description translations dropped (specspo migration)

* Fri Dec 24 2004 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.1]
- Wrapper is no longer needed (upstram sets default save path to ~/.scummvm)

* Wed Aug 04 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1.1
- Oops! Fix %_bindir/scummvm attrs

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]
- Keep save files in ~/.scummvm (Closes #3921)

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Feb 23 2004 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt2
- CVS snapshot 20040223 (0.5.7-cvs)

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Jun 25 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build



